#!/bin/sh
dbpath=$1
if test x"$dbpath" = x ; then
  echo "Syntax: $0 CHERT_DATABASE" 1>&2
  exit 1
fi
tables="record termlist postlist position spelling synonym"
for table in $tables ; do
  path=$dbpath/$table
  echo "Table: $path"
  test -f "$path.DB" && bin/xapian-check "$path." > "$table.log"
done
